<?php

require("./functions.php");
require("./inc/start.inc.php");
echo "<div align=\"center\">";

if(!empty($_POST['finish'])) {

  $admin = $_POST['admin'];
  if(empty($admin)) $error .= $lang[noUsername]."<br />";
  elseif(!checkUser($admin)) $error .= $lang[invalidUsername]."<br />";

  if(empty($_POST['password_1']) || empty($_POST['password_2'])) $error .= $lang[passwordBoth]."<br />";
  elseif($_POST['password_1']!=$_POST['password_2']) $error .= $lang[wrongPassword]."<br />";
  elseif(strlen($_POST['password_1'])<3) $error .= $lang[passwordLT]."<br />";
  elseif(strlen($_POST['password_1'])>100) $error .= $lang[passwordGT]."<br />";

  $email=$_POST['email_1'];
  if($email!=$_POST['email_2']) $error .= $lang[emails]."<br />";
  elseif(empty($email) || empty($_POST['email_2'])) $error .= $lang[emailBoth]."<br />";
  elseif(!checkEmail($email)) $error .= $lang[invalidEmail]."<br />";

  if(!empty($error)) { echo $error."<br />"; printForm(); }
  else {

# Create admin

mysql_query("
CREATE TABLE admin (
  username VARCHAR(16) NOT NULL default '',
  PRIMARY KEY  (username)
) TYPE=MyISAM
");

# Create categories

mysql_query("
CREATE TABLE categories (
  catnumber SMALLINT(1) NOT NULL auto_increment,
  catname VARCHAR(255) NOT NULL default '',
  sub SMALLINT(1) NOT NULL default '0',
  PRIMARY KEY  (catnumber)
) TYPE=MyISAM
");

# Create lostpassword

mysql_query("
CREATE TABLE lostpassword (
  userkey VARCHAR(33) NOT NULL default '',
  username VARCHAR(16) NOT NULL default '',
  PRIMARY KEY  (userkey),
  KEY username (username)
) TYPE=MyISAM
");

# Create rings

mysql_query("
CREATE TABLE rings (
  ringnumber MEDIUMINT(1) NOT NULL auto_increment,
  created INT(1) NOT NULL default '',
  ringname VARCHAR(101) NOT NULL default '',
  description TEXT NOT NULL,
  keywords VARCHAR(255) NOT NULL default '',
  category SMALLINT(1) NOT NULL default '',
  owner VARCHAR(16) NOT NULL default '',
  html TEXT NOT NULL,
  hits INT(1) NOT NULL default '0',
  open TINYINT(1) NOT NULL default '1',
  lastaction INT(1) NOT NULL default '',
  userkey VARCHAR(33) NOT NULL default '',
  activated TINYINT(1) NOT NULL default '0',
  flag TINYINT(1) NOT NULL default '0',
  PRIMARY KEY  (ringnumber),
  KEY ringname (ringname),
  KEY created (created),
  KEY category (category),
  KEY keywords (keywords)
) TYPE=MyISAM
");

# Create users

mysql_query("
CREATE TABLE users (
  username VARCHAR(16) NOT NULL default '',
  pw VARCHAR(33) NOT NULL default '',
  email VARCHAR(255) NOT NULL default '',
  own VARCHAR(255) NOT NULL default '',
  member VARCHAR(255) NOT NULL default '',
  applied VARCHAR(255) NOT NULL default '',
  activated TINYINT(1) NOT NULL default '0',
  userkey VARCHAR(33) NOT NULL default '',
  flag TINYINT(1) NOT NULL default '0',
  PRIMARY KEY  (username)
) TYPE=MyISAM
");

# Add default categories if selected

  if(!empty($_POST['defaultCats'])) {
    mysql_query("INSERT INTO categories (catname) VALUES ('Business')");
    mysql_query("INSERT INTO categories (catname) VALUES ('Computers')");
    mysql_query("INSERT INTO categories (catname) VALUES ('Games')");
    mysql_query("INSERT INTO categories (catname) VALUES ('Community')");
    mysql_query("INSERT INTO categories (catname) VALUES ('Entertainment')");
    mysql_query("INSERT INTO categories (catname) VALUES ('Government')");
    mysql_query("INSERT INTO categories (catname) VALUES ('Hobbies')");
    mysql_query("INSERT INTO categories (catname) VALUES ('Music')");
    mysql_query("INSERT INTO categories (catname) VALUES ('Recreation')");
  }

# Finish install

    $pw=md5($_POST['password_1']);
    mysql_query("INSERT INTO admin (username) VALUES ('".$admin."')");
    mysql_query("INSERT INTO users (username,pw,email,activated) VALUES ('".$admin."','".$pw."','".$email."','1')");

    echo $lang[installPost];

  }


############
# Print Form

} else {

  printForm();

}

#####################
# Print Form Function

function printForm() {

  global $admin,$lang;

  echo "
  <form action=\"install.php\" method=\"post\">
  <input type=\"hidden\" name=\"finish\" value=\"TRUE\" />
  <table border=\"1\" cellpadding=\"5\" cellspacing=\"0\" width=\"500\">
  <tr><td>".$lang[username].":<br />- ".$lang[usernameMin]."<br />- ".$lang[spacesRemoved]."<br />- ".$lang[lettersOnly]."</td><td><input type=\"text\" name=\"admin\" value=\"".$admin."\" /></td></tr>
  <tr><td>".$lang[password].":<br />- ".$lang[usernameMin]."<br />- ".$lang[passwordMax]."</td><td><input type=\"password\" name=\"password_1\" /></td></tr>
  <tr><td>".$lang[passwordAgain].": </td><td><input type=\"password\" name=\"password_2\" /></td></tr>
  <tr><td>".$lang[email].":<br />- ".$lang[emailAct]."</td><td><input type=\"text\" name=\"email_1\" value=\"".$_POST['email_1']."\" /></td></tr>
  <tr><td>".$lang[emailAgain].": </td><td><input type=\"text\" name=\"email_2\" value=\"".$_POST['email_2']."\" /></td></tr>
  <tr><td>".$lang[defaultCats].": </td><td><input type=\"checkbox\" name=\"defaultCats\" value=\"TRUE\" /></td></tr>
  <tr><td colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"".$lang[go]."\"></td></tr>
  </table>
  </form>
";

}

echo "</div>";
require("./inc/end.inc.php");

ringsEnd();

?>